{% extends 'base.html.twig' %}

{% block avanzu_page_content %}

    {#CLOSED TRADES BEGIN#}

    <div class="row">

        {#REAL TRADES LIST#}
        <div class="col-md-6">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Closed trades</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table table-hover">

                        {#HEADER#}
                        <tr>
                            <th>Side</th>
                            <th>TOpen</th>
                            <th>TClose</th>
                            <th>ROpen</th>
                            <th>RClose</th>
                            <th>P/L</th>
                        </tr>

                        {#BEGIN ROW CONTENT#}
                        {% for thisTrade in closedTrades %}
                            <tr>
                                {#<td>{{ thisTrade.id }}</td>#}
                                {% if thisTrade.account.side == 1 %}
                                    <td><span class="label label-success">long</span></td>
                                {% else %}
                                    <td><span class="label label-danger">short</span></td>
                                {% endif %}
                                <td>{{ thisTrade.timeOrderFill | date('m-d H:i:s') }}</td>
                                <td>{{ thisTrade.timeTradeClose | date('m-d H:i:s') }}</td>
                                <td>{{ thisTrade.price }}</td>
                                <td>{{ thisTrade.lastPrice }}</td>
                                {% if thisTrade.pl >= 0 %}
                                    <td><span class="label label-success">{{ thisTrade.pl | round(2) }}</span></td>
                                {% else %}
                                    <td><span class="label label-danger">{{ thisTrade.pl | round(2) }}</span></td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                        {#END ROW CONTENT#}

                    </table>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        </div>


        {#Virtual trades list#}
        <div class="col-md-6">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Virtual Closed trades</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table table-hover">

                        {#HEADER#}
                        <tr>
                            <th>Side</th>
                            <th>TOpen</th>
                            <th>TClose</th>
                            <th>ROpen</th>
                            <th>RClose</th>
                            <th>P/L</th>
                        </tr>

                        {#BEGIN ROW CONTENT#}
                        {% for virtualTrade in closedVirtualLast %}
                            <tr>
                                {% if virtualTrade.side == 1 %}
                                    <td><span class="label label-success">long</span></td>
                                {% else %}
                                    <td><span class="label label-danger">short</span></td>
                                {% endif %}
                                <td>{{ virtualTrade.timeTradeOpen | date('m-d H:i:s') }}</td>
                                <td>{{ virtualTrade.timeTradeClose | date('m-d H:i:s') }}</td>
                                <td>{{ virtualTrade.priceOpen }}</td>
                                <td>{{ virtualTrade.priceClose }}</td>
                                {% if virtualTrade.realizedPl >= 0 %}
                                    <td><span class="label label-success">{{ virtualTrade.realizedPl | round(2) }}</span></td>
                                {% else %}
                                    <td><span class="label label-danger">{{ virtualTrade.realizedPl | round(2) }}</span></td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                        {#END ROW CONTENT#}

                    </table>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        </div>

    </div>

    {#CLOSED TRADES END#}

{% endblock %}
